// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class willowtreeAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new willowtreeAddonDeed();
			}
		}

		[ Constructable ]
		public willowtreeAddon()
		{
			AddComponent( new AddonComponent( 3302 ), 0, 1, 0 );
			AddComponent( new AddonComponent( 3303 ), 0, 1, 0 );
			AddComponent( new AddonComponent( 3352 ), 0, 0, 0 );
			AddonComponent ac = null;

		}

		public willowtreeAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class willowtreeAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new willowtreeAddon();
			}
		}

		[Constructable]
		public willowtreeAddonDeed()
		{
			Name = "willowtree";
		}

		public willowtreeAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}